apiVersion: 1

datasources:
  - name: Loki
    uid: loki
    type: loki
    access: proxy
    url: http://loki:3100
    jsonData:
      derivedFields:
        - datasourceUid: trace
          matcherRegex: 'trace_id=(\w+)'
          name: TraceID
          url: "$${__value.raw}"

  - name: Grafana Proxy API
    uid: grafana-proxy
    type: yesoreyeram-infinity-datasource
    access: proxy
    url: http://api:3001/grafana-proxy
    jsonData:
      httpHeaderName1: X-API-Key
    secureJsonData:
      httpHeaderValue1: ${GRAFANA_PROXY_API_KEY}

  - name: Everdigm Mail API
    uid: everdigm-mail-api
    type: yesoreyeram-infinity-datasource
    access: proxy
    url: http://api:3001/everdigm-mail
